Bug 1654912 - [ovn] ovn did not verify the ovn_host_subnet if has been used.
Summary: [ovn] ovn did not verify the ovn_host_subnet if has been used.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.1.0
Hardware: All
OS: All
high
high
Target Milestone: ---
: 4.2.0
Assignee: Casey Callendrello
QA Contact: zhaozhanqi
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-30 02:25 UTC by zhaozhanqi
Modified: 2019-06-18 15:26 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-18 15:26:36 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description zhaozhanqi 2018-11-30 02:25:14 UTC
Description of problem:
When I delete one node and recover it, The 'ovn_host_subnet' is duplicated with another node

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1.Set up the cluster with 3 nodes with OVN and set the cidr to 10.128.0.0/14/23
2.Delete one node with ovn_host_subnet is 10.128.0.0/23
3. recover the node by 'systemctl restart atomic-openshiftnode'
4. Check the recovered node 'OVN_host_subnet', found it uses '10.129.0.0./23', but this subnet has been used by another.

Actual results:

The ovn_host_subnet of those two node are same.

[root@ip-172-18-4-96 ~]# oc get node ip-172-18-12-37.ec2.internal -o json | head
{
"apiVersion": "v1",
"kind": "Node",
"metadata": {
"annotations": {
"node.openshift.io/md5sum": "2876d4dc8ff8173f526f62a0a82d11eb",
"ovn_host_subnet": "10.129.0.0/23",
"volumes.kubernetes.io/controller-managed-attach-detach": "true"
},
"creationTimestamp": "2018-11-08T06:52:12Z",
[root@ip-172-18-4-96 ~]# oc get node ip-172-18-4-96.ec2.internal -o json | head
{
"apiVersion": "v1",
"kind": "Node",
"metadata": {
"annotations": {
"node.openshift.io/md5sum": "b11568088148eba2845b42d4684dfea8",
"ovn_host_subnet": "10.129.0.0/23",
"volumes.kubernetes.io/controller-managed-attach-detach": "true"
},
"creationTimestamp": "2018-11-08T01:35:03Z",

 

[root@ip-172-18-4-96 ~]# oc get node
NAME STATUS ROLES AGE VERSION
ip-172-18-12-37.ec2.internal Ready compute 31m v1.11.0+d4cacc0
ip-172-18-4-96.ec2.internal Ready master 5h v1.11.0+d4cacc0
ip-172-18-6-67.ec2.internal Ready <none> 5h v1.11.0+d4cacc0


Expected results:

should verify the ovn_host_subnet if has been used.

Additional info:

Comment 1 Casey Callendrello 2019-06-18 15:26:36 UTC
This is not an issue for 4.x


Note You need to log in before you can comment on or make changes to this bug.